Create an inventory request (Beta) Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.pattern.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Hub API MCP server": {
    "url": "https://developer.pattern.com/mcp"
  }
}

Close
POST /v1/inventory_requests
application/json

Body

  • warehouse_id integer Required

    ID of the destination warehouse

  • notes string

    Optional notes for the inventory request

  • estimated_ship_date string(date)

    Estimated ship date (YYYY-MM-DD)

  • shipment_method string Required

    Shipment method

    Values are CUSTOMER or PATTERN.

  • packslip_source string

    Packslip source (optional)

    Values are CUSTOMER or PATTERN.

  • items array[object] Required
    Any of:

Responses

  • 401 application/json

    Unauthorized - missing or invalid authentication

    Hide response attribute Show response attribute object
    • error string
  • 422 application/json

    Unprocessable Entity

    Hide response attributes Show response attributes object
    • success boolean
    • errors array[string]
  • 200 application/json

    Inventory request created successfully

    Hide response attributes Show response attributes object
    • success boolean
    • errors array[string]
    • ir_number string

      The created inventory request number

POST /v1/inventory_requests
curl \
 --request POST 'https://api.pattern.com/hub/v1/inventory_requests' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"warehouse_id":42,"notes":"string","estimated_ship_date":"2026-05-04","shipment_method":"CUSTOMER","packslip_source":"CUSTOMER","items":[{"id":42,"mpn":"string","listing_id":42,"listing_sku":"string","quantity":42,"case_unit":"string","exp_date":"2026-05-04","lot_number":"string"}]}'
Request examples
{
  "warehouse_id": 42,
  "notes": "string",
  "estimated_ship_date": "2026-05-04",
  "shipment_method": "CUSTOMER",
  "packslip_source": "CUSTOMER",
  "items": [
    {
      "id": 42,
      "mpn": "string",
      "listing_id": 42,
      "listing_sku": "string",
      "quantity": 42,
      "case_unit": "string",
      "exp_date": "2026-05-04",
      "lot_number": "string"
    }
  ]
}
Response examples (401)
{
  "error": "string"
}
Response examples (422)
{
  "success": true,
  "errors": [
    "string"
  ]
}
Response examples (200)
{
  "success": true,
  "errors": [
    "string"
  ],
  "ir_number": "string"
}